package com.liquidnet.common.third.zxlnft.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 12.查询用户信息接口 GET请求方式
 * @class: UserQueryReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:29
 */
@Data
public class Nft012UserQueryReqDto implements Serializable {
    /**
     * 1企业 2个人
     */
    private int type;
    /**
     * 身份证号
     */
    private String cardNo;
    /**
     * 手机验证码
     */
    private String verifyCode;

    private static final Nft012UserQueryReqDto obj = new Nft012UserQueryReqDto();
    private static final long serialVersionUID = -1005029779554877036L;

    public static Nft012UserQueryReqDto getNew() {
        try {
            return (Nft012UserQueryReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft012UserQueryReqDto();
        }
    }
}
